Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 609371 - Computer reboots when loging in with Radeon RV410 [X700 (PCIE)]
Computer reboots when loging in with Radeon RV410 [X700 (PCIE)]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-30 02:17 EDT by Christian Lupien
Modified: 2011-06-27 15:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 15:10:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
smolt profile (7.87 KB, text/plain)
2010-06-30 02:17 EDT, Christian Lupien
no flags Details
Xorg log with nomodeset kernel option (41.69 KB, text/plain)
2010-06-30 02:18 EDT, Christian Lupien
no flags Details
Xorg log with default acceleration enabled up to before causing the reboot (61.78 KB, text/plain)
2010-06-30 02:22 EDT, Christian Lupien
no flags Details
/var/log/message with default accel enabled. (53.07 KB, text/plain)
2010-06-30 02:24 EDT, Christian Lupien
no flags Details
dmesg with default accel enabled (212.62 KB, text/plain)
2010-06-30 02:24 EDT, Christian Lupien
no flags Details
xorg log with accel disabled (127.23 KB, text/plain)
2010-06-30 02:25 EDT, Christian Lupien
no flags Details
/var/log/messages with accel disabled (55.18 KB, text/plain)
2010-06-30 02:26 EDT, Christian Lupien
no flags Details
dmesg with accel disabled (228.90 KB, text/plain)
2010-06-30 02:27 EDT, Christian Lupien
no flags Details

  None (edit)
Description Christian Lupien 2010-06-30 02:17:16 EDT
Created attachment 427869 [details]
smolt profile

Description of problem:

With the default settings of Fedora 13 (and all components updated), when I try to login into my account using gdm, my computers reboots instead.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.13.0-1.fc13.x86_64
kernel-2.6.33.5-124.fc13.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Turn on computer and boot
2. In gdm select the correct user
3. type the password and press enter

or
2. switch to a virtual console (CTRL-ALT-F2)
3. return to graphic console (ALT-F1)
  
Actual results:
The computer reboots immediately (some rare times there was a delay but most of the time it is immediate).
Very often during the reboot the bios hangs (the computer beeps). The only fix then is for a full shutdown (hold the power button for 5 s). 
If the bios does not block then most of the time linux no longer reaches the login prompt but reboots during the startup. Again the only fix is the full shutdown.

Expected results:
That I can login, or at least that it does not reboot. The X driver might crash but it should not reboot the computer.

Additional info:

The only workaround I have is to disable all acceleration. I have a config file in /etc/X11/xorg.conf.d/ containing:
Section "Device"
  Identifier "MyMainCard"
  Driver "radeon"
  Option "NoAccel"
with that I can login and the gui seems very stable but I have no acceleration, 3D, xv ...

Using nomodeset did not work (the X server will not start at all). But it also did not reboot.

I think this problem has been going on since an update (kernel or xorg-driver) during Fedora 12 (last Fall?)
I installed Fedora 13 by upgrading from Fedora 12.

I will atttacg logs for the default settings (accel which reboots), with noaccel (which works), and nomodeset (which does not work).
For noaccel, the login is completed (password+enter) at Jun 28 11:23:32.

Note that with accel, because of the reboot, the log only goes until the gdm login screen. It contains nothing from the reboot sequence.
Comment 1 Christian Lupien 2010-06-30 02:18:39 EDT
Created attachment 427871 [details]
Xorg log with nomodeset kernel option
Comment 2 Christian Lupien 2010-06-30 02:22:40 EDT
Created attachment 427874 [details]
Xorg log with default acceleration enabled up to before causing the reboot
Comment 3 Christian Lupien 2010-06-30 02:24:00 EDT
Created attachment 427877 [details]
/var/log/message with default accel enabled.
Comment 4 Christian Lupien 2010-06-30 02:24:54 EDT
Created attachment 427879 [details]
dmesg with default accel enabled
Comment 5 Christian Lupien 2010-06-30 02:25:50 EDT
Created attachment 427880 [details]
xorg log with accel disabled
Comment 6 Christian Lupien 2010-06-30 02:26:30 EDT
Created attachment 427881 [details]
/var/log/messages with accel disabled
Comment 7 Christian Lupien 2010-06-30 02:27:17 EDT
Created attachment 427882 [details]
dmesg with accel disabled
Comment 8 Bug Zapper 2011-06-01 11:12:03 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Christian Lupien 2011-06-02 19:00:17 EDT
I noticed it was no longer a problem when the kernel went to 2.6.34.
I might have been fixed before but that is when I noticed the problem was gone.
 kernel-2.6.34.6-54.fc13.x86_64 (09 Sep 2010)
 xorg-x11-drv-ati-6.13.0-1.fc13.x86_64 (28 May 2010)
Comment 10 Bug Zapper 2011-06-27 15:10:34 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.